NPM ne peut pas installer les paquets

J'ai essayé d'installer des paquets pour mon BrowserQuest Server.

I used: npm install -d

Version de noeud v0.10.21

Version NPM v 1.3.11

OS Debian 7.0 Wheezy

Les erreurs:

npm ERR!     at installTargetsError (/usr/local/lib/node_modules/npm/lib/cache.js:719:10)

npm ERR!     at next (/usr/local/lib/node_modules/npm/lib/cache.js:698:17)

npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache.js:675:5

npm ERR!     at saved (/usr/local/lib/node_modules/npm/node_modules/npm-registry-

client/lib/get.js:142:7)

npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/graceful-fs/polyfills.js:133:7

npm ERR!     at Object.oncomplete (fs.js:107:15)

npm ERR! If you need help, you may report this log at:

npm ERR!     

npm ERR! or email it to:

npm ERR!     

npm ERR! System Linux 3.2.41-042stab081.5

npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install" "-d"

npm ERR! cwd /root/BrowserQuest

npm ERR! node -v v0.10.21

npm ERR! npm -v 1.3.11

npm http 304 https://registry.npmjs.org/redis

npm http 304 registry.npmjs org/connect

npm http 304 registry.npmjs org/underscore

npm http 304 registry.npmjs org/bison

npm http 304 registry.npmjs org/websocket-server

npm http 304 registry.npmjs org/sanitizer

npm ERR!

npm ERR! Additional logging details can be found in:

npm ERR!     /root/BrowserQuest/npm-debug.log

npm ERR! not ok code 0>

Aidez-moi, s'il vous plaît!

0

1 Réponses

J'ai eu un problème similaire sur Ubuntu 12.10, et c'était lié à SSL. Jusqu'à ce que je l'avais compris, la désactivation de https pourrait résoudre les choses pour un moment:

npm set registry http://registry.npmjs.org/
0
ajouté